=head1 NAME

SOAP::WSDL::Manual::Glossary - Those acronyms and stuff

=head1 Glossary

=head2 web service

Web services are RPC (Remote Procedure Call) interfaces accessible via
some internet protocol, typically via HTTP(S).

=head2 SOAP

SOAP is (was - since 1.2 the name "SOAP" has no meaning any more) an acronym
for Simple Object Access Protocol.
SOAP is a W3C recommendation. The latest version of the SOAP specification
may be found at L<http://www.w3.org/TR/soap/>.

SOAP defines a protocoll for message exchange between applications.
The most popular usage is to use SOAP for remote procedure calls (RPC).

While one of the constituting aspects of a web service is its
reachability via some internet protocol, you might as well define
SOAP services accessible via postcards.

Despite it's former name, SOAP has nothing more to do with objects than
cars have with pets - SOAP messages may, but not necessarily do
carry objects, very much like your car may, but does not need to
carry your pet.

=head2 WSDL

WSDL is an acronym for Web Services Description Language.
WSDL is a W3C recommendation. The latest version of the WSDL specification
may be found at L<http://www.w3.org/TR/wsdl20/>.

WSDL defines a XML-based language for describing web service interfaces,
including SOAP interfaces.

=head2 WS-I

WS-I (Web Services Interoperability Organization) is an open industry
organisation chartered to promote Web service interoperability across
platforms, operating systems, and programming languages.

WS-I publishes profiles, which provide implementation guidelines for
how related Web services specifications should be used together for
best interoperability. To date, WS-I has finalized the Basic Profile,
Attachments Profile and Simple SOAP Binding Profile.

SOAP::WSDL aims at complying to the WS-I Basic Profile (but does not
implement full support yet).

=head2 SOAP message styles

=head3 rpc

Meant for transporting a RPC message. All contents of the SOAP body are
put into a top-level node named equal to the SOAP operation.

WS-I Basic Profile allows the use of rpc message style.

SOAP::WSDL does not support rpc message style yet.

SOAP::Lite supports rpc message style only.

=head3 document

Meant for transporting arbitrary content. No additional nodes are inserted
between the SOAP body and the actual content.

WS-I Basic Profile allows the use of document message style.

=head2 SOAP encoding styles

=head3 encoded

=head3 literal

=head1 LICENSE AND COPYRIGHT

Copyright 2007 Martin Kutter.

This file is part of SOAP-WSDL. You may distribute/modify it under the same
terms as perl itself.

=head1 AUTHOR

Martin Kutter E<lt>martin.kutter fen-net.deE<gt>

=head1 REPOSITORY INFORMATION

 $Rev: 391 $
 $LastChangedBy: kutterma $
 $Id: Glossary.pod 391 2007-11-17 21:56:13Z kutterma $
 $HeadURL: http://soap-wsdl.svn.sourceforge.net/svnroot/soap-wsdl/SOAP-WSDL/trunk/lib/SOAP/WSDL/Manual/Glossary.pod $

=cut

